## net.sf.saxon.trans
Class StandardUnparsedTextResolver

    java.lang.Object
      net.sf.saxon.trans.StandardUnparsedTextResolver

All Implemented Interfaces:
  Serializable, UnparsedTextURIResolver

    public class StandardUnparsedTextResolver

extends Object
implements UnparsedTextURIResolver

Default implementation of the UnparsedTextURIResolver, used if no other implementation is nominated to the Configuration.

See Also:
  Serialized Form

Constructor Summary
`StandardUnparsedTextResolver()`

Method Summary
`Reader` `resolve(URI absoluteURI, String encoding, Configuration config)` Resolve the URI passed to the XSLT unparsed-text() function, after resolving against the base URI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardUnparsedTextResolver

    public StandardUnparsedTextResolver()

Method Detail

### resolve

    public Reader resolve(URI absoluteURI,
                          String encoding,
                          Configuration config)
                   throws XPathException

  Resolve the URI passed to the XSLT unparsed-text() function, after resolving against the base URI.

  Specified by:
    `resolve` in interface `UnparsedTextURIResolver`
  Parameters:
    `absoluteURI` - the absolute URI obtained by resolving the supplied URI against the base URI
    `encoding` - the encoding requested in the call of unparsed-text(), if any. Otherwise null.
    `config` - The configuration. Provided in case the URI resolver needs it.
  Returns:
    a Reader, which Saxon will use to read the unparsed text. After the text has been read, the close() method of the Reader will be called.
  Throws:
    `XPathException` - if any failure occurs
  Since:
    8.9

Copyright (C) Michael H. Kay. All rights reserved.